[gentoo-user-fr] Losing my latin with portage

Le
alain.didierjean
Je n'y comprend plus rien. La mise à jour de kde en 3.5.7 a supprimé quelques
paquets sans rien demander
Lorsque j'essaie de ré-emerger un de ces paquets, j'obiens ceci :


isba alain # emerge -p kpilot

These are the packages that would be merged, in order:

Calculating dependencies done!
[ebuild N ] kde-base/libkdenetwork-3.5.7 USE="arts -debug -kdeenablefinal
-xinerama"
[ebuild N ] kde-base/ktnef-3.5.7 USE="arts -debug -kdeenablefinal
-xinerama"
[ebuild N ] kde-base/libkcal-3.5.7-r1 USE="arts -debug -kdeenablefinal
-xinerama"
[ebuild N ] kde-base/certmanager-3.5.7-r1 USE="arts -debug -kdeenablefinal
-xinerama"
[ebuild N ] kde-base/libkdepim-3.5.7-r1 USE="arts -debug -kdeenablefinal
-xinerama"
[ebuild N ] kde-base/libkpimidentities-3.5.7 USE="arts -debug
-kdeenablefinal -xinerama"
[ebuild N ] kde-base/kontact-3.5.7-r1 USE="arts -debug -kdeenablefinal
-xinerama"
[ebuild N ] kde-base/kpilot-3.5.5 USE="arts -debug -kdeenablefinal
-xinerama"
[blocks B ] =kde-base/libkpimidentities-3.5* (is blocking
kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/ktnef-3.5* (is blocking kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/libkdepim-3.5* (is blocking kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/kontact-3.5* (is blocking kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/kpilot-3.5* (is blocking kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/libkcal-3.5* (is blocking kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/certmanager-3.5* (is blocking
kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/libkdenetwork-3.5* (is blocking
kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/kdepim-3.5* (is blocking kde-base/libkdepim-3.5.7-r1,
kde-base/ktnef-3.5.7, kde-base/kontact-3.5.7-r1, kde-base/libkcal-3.5.7-r1,
kde-base/certmanager-3.5.7-r1, kde-base/kpilot-3.5.5,
kde-base/libkdenetwork-3.5.7, kde-base/libkpimidentities-3.5.7)
isba

Le problème, c'est que tous les paquets listés comme bloquants ont été unmergés
par portage ! et de ce fait, si j'essaie de m'en débarrasser cela donne :

isba alain # emerge --unmerge kpilot

Couldn't find 'kpilot' to unmerge.

>>> No packages selected for removal by unmerge

Comment me sortir de ce cercle vicieux ? Comment retrouver une config clean de
portage ?
Ma connaissance superficielle de portage ne me permet pas de m'en tirer tout
seul.. A l'aide

PS :
revdep-rebuild, emerge --depclean world n'ont abouti à rien.
--
gentoo-user-fr@gentoo.org mailing list
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jean Magnan de Bornier
Le #7802511
Le 25 août à 18:45:04 écrit notamment:

| Je n'y comprend plus rien. La mise à jour de kde en 3.5.7 a supprimé quelques
| paquets sans rien demander...
| Lorsque j'essaie de ré-emerger un de ces paquets, j'obiens ceci :




| isba alain # emerge -p kpilot



| These are the packages that would be merged, in order:



| Calculating dependencies... done!
| [ebuild N ] kde-base/libkdenetwork-3.5.7 USE="arts -debug -kdeenab lefinal
| -xinerama"
| [ebuild N ] kde-base/ktnef-3.5.7 USE="arts -debug -kdeenablefinal
| -xinerama"
| [ebuild N ] kde-base/libkcal-3.5.7-r1 USE="arts -debug -kdeenablef inal
| -xinerama"
| [ebuild N ] kde-base/certmanager-3.5.7-r1 USE="arts -debug -kdeena blefinal
| -xinerama"
| [ebuild N ] kde-base/libkdepim-3.5.7-r1 USE="arts -debug -kdeenabl efinal
| -xinerama"
| [ebuild N ] kde-base/libkpimidentities-3.5.7 USE="arts -debug
| -kdeenablefinal -xinerama"
| [ebuild N ] kde-base/kontact-3.5.7-r1 USE="arts -debug -kdeenablef inal
| -xinerama"
| [ebuild N ] kde-base/kpilot-3.5.5 USE="arts -debug -kdeenablefinal
| -xinerama"
| [blocks B ] =kde-base/libkpimidentities-3.5* (is blocking
| kde-base/kdepim-3.5.7-r3)
| [blocks B ] =kde-base/ktnef-3.5* (is blocking kde-base/kdepim-3.5.7 -r3)
| [blocks B ] =kde-base/libkdepim-3.5* (is blocking kde-base/kdepim-3 .5.7-r3)
| [blocks B ] =kde-base/kontact-3.5* (is blocking kde-base/kdepim-3.5 .7-r3)
| [blocks B ] =kde-base/kpilot-3.5* (is blocking kde-base/kdepim-3.5. 7-r3)
| [blocks B ] =kde-base/libkcal-3.5* (is blocking kde-base/kdepim-3.5 .7-r3)
| [blocks B ] =kde-base/certmanager-3.5* (is blocking
| kde-base/kdepim-3.5.7-r3)
| [blocks B ] =kde-base/libkdenetwork-3.5* (is blocking
| kde-base/kdepim-3.5.7-r3)
| [blocks B ] =kde-base/kdepim-3.5* (is blocking kde-base/libkdepim-3 .5.7-r1,
| kde-base/ktnef-3.5.7, kde-base/kontact-3.5.7-r1, kde-base/libkcal-3.5.7-r 1,
| kde-base/certmanager-3.5.7-r1, kde-base/kpilot-3.5.5,
| kde-base/libkdenetwork-3.5.7, kde-base/libkpimidentities-3.5.7)
| isba



| Le problème, c'est que tous les paquets listés comme bloquants ont été unmergés
| par portage ! et de ce fait, si j'essaie de m'en débarrasser cela donne :



| isba alain # emerge --unmerge kpilot



| --- Couldn't find 'kpilot' to unmerge.



| >>> No packages selected for removal by unmerge



| Comment me sortir de ce cercle vicieux ? Comment retrouver une config cle an de
| portage ?
| Ma connaissance superficielle de portage ne me permet pas de m'en tirer t out
| seul.. A l'aide...



| PS :
| revdep-rebuild, emerge --depclean world n'ont abouti à rien.

Bon tu as plein de paquets qui bloquent kdepim, et ils sont aussi bloqués
par lui; il me semble que:
emerge -C kdepim && emerge -av kpilot
devrait donner quelque chose, quitte à essayer de réemerger kdepim
ensuite; j'ai vu aussi qu'il y avait des problèmes entre kdepim et le USE flag
"crypt" ces derniers temps.
--
Jean
--
mailing list
Guillaume Pujol
Le #7802501
2007/8/25,

Je n'y comprend plus rien. La mise à jour de kde en 3.5.7 a supprimé quelques
paquets sans rien demander...
Lorsque j'essaie de ré-emerger un de ces paquets, j'obiens ceci :


isba alain # emerge -p kpilot

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] kde-base/libkdenetwork-3.5.7 USE="arts -debug -kdeenab lefinal
-xinerama"
[ebuild N ] kde-base/ktnef-3.5.7 USE="arts -debug -kdeenablefinal
-xinerama"
[ebuild N ] kde-base/libkcal-3.5.7-r1 USE="arts -debug -kdeenablef inal
-xinerama"
[ebuild N ] kde-base/certmanager-3.5.7-r1 USE="arts -debug -kdeena blefinal
-xinerama"
[ebuild N ] kde-base/libkdepim-3.5.7-r1 USE="arts -debug -kdeenabl efinal
-xinerama"
[ebuild N ] kde-base/libkpimidentities-3.5.7 USE="arts -debug
-kdeenablefinal -xinerama"
[ebuild N ] kde-base/kontact-3.5.7-r1 USE="arts -debug -kdeenablef inal
-xinerama"
[ebuild N ] kde-base/kpilot-3.5.5 USE="arts -debug -kdeenablefinal
-xinerama"
[blocks B ] =kde-base/libkpimidentities-3.5* (is blocking
kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/ktnef-3.5* (is blocking kde-base/kdepim-3.5.7 -r3)
[blocks B ] =kde-base/libkdepim-3.5* (is blocking kde-base/kdepim-3 .5.7-r3)
[blocks B ] =kde-base/kontact-3.5* (is blocking kde-base/kdepim-3.5 .7-r3)
[blocks B ] =kde-base/kpilot-3.5* (is blocking kde-base/kdepim-3.5. 7-r3)
[blocks B ] =kde-base/libkcal-3.5* (is blocking kde-base/kdepim-3.5 .7-r3)
[blocks B ] =kde-base/certmanager-3.5* (is blocking
kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/libkdenetwork-3.5* (is blocking
kde-base/kdepim-3.5.7-r3)
[blocks B ] =kde-base/kdepim-3.5* (is blocking kde-base/libkdepim-3 .5.7-r1,
kde-base/ktnef-3.5.7, kde-base/kontact-3.5.7-r1, kde-base/libkcal-3.5.7-r 1,
kde-base/certmanager-3.5.7-r1, kde-base/kpilot-3.5.5,
kde-base/libkdenetwork-3.5.7, kde-base/libkpimidentities-3.5.7)
isba



Apparemment Tu as déjà kdepim installé (il s'agit d'un gros paquet
monolithique qui contient kpilot et tous les paquets indiqués comme
bloquants par portage), et tu essaie d'installer kpilot qui est un
ebuild individuel. On ne peut pas installer à la fois des paquets
monolithiques et des paquets individuels.

Voir http://www.gentoo.org/doc/fr/kde-split-ebuilds.xml

A+
--
mailing list
Antoine Van-Elstraete
Le #7802491
--nextPart3532039.uBuXjBBgkg
Content-Type: text/plain;
charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

Le Saturday 25 August 2007 20:32:52 Guillaume Pujol, vous avez écrit :
2007/8/25, > Je n'y comprend plus rien. La mise à jour de kde en 3.5.7 a supprimé
> quelques paquets sans rien demander...


[...]

Apparemment Tu as déjà kdepim installé (il s'agit d'un gros paquet
monolithique qui contient kpilot et tous les paquets indiqués comme
bloquants par portage), et tu essaie d'installer kpilot qui est un
ebuild individuel. On ne peut pas installer à la fois des paquets
monolithiques et des paquets individuels.

Voir http://www.gentoo.org/doc/fr/kde-split-ebuilds.xml

A+



Oui, j'ai eu le même soucis avec kmail.


--
Antoine Van-Elstraete
Étudiant infirmier (C.H. Dunkerque)

http://bluecat.homelinux.net

--nextPart3532039.uBuXjBBgkg
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQBG0UOV/OFScBP7tMERAma8AJ4wnzcbDPs4yK9PzGxNSzRRbPHxXACeKH7z
WRIodlICoeThBCQ0Jj0vklI =+k9v
-----END PGP SIGNATURE-----

--nextPart3532039.uBuXjBBgkg--
--
mailing list
alain.didierjean
Le #7802481
Selon Jean Magnan de Bornier

Bon tu as plein de paquets qui bloquent kdepim, et ils sont aussi bloqués
par lui; il me semble que:
emerge -C kdepim && emerge -av kpilot
devrait donner quelque chose, quitte à essayer de réemerger kdepim
ensuite; j'ai vu aussi qu'il y avait des problèmes entre kdepim et le USE
flag
"crypt" ces derniers temps.



Merci à tous. emerge -C kdepim a résolu le problème. kdepim est réapparu aussi
sec dans la sortie d'emerge -uDp world.
En fait, j'ignorais que kpilot était inclus dans kdepim.
Ceci dit, j'ignore toujours pourquoi la mise à jour de kdepim a viré
quelques-uns de ses paquets tout en les prétendant installés...
Bon. C'est presque rassurant de prendre (involontairement) portage en défaut
quelquefois, tant sa solidité et sa capacité à gérer toutes sortes de
situatiions tordues sont fascinantes...
Bonne bronzette à tous ;-}

--
~adj~

--
mailing list
Publicité
Poster une réponse
Anonyme